# Full transaction history for the worker **GET /employers/{employer_id}/employees/{employee_id}/transactions** Full transaction history for the worker. No pagination. Obsolete or corrected rows are excluded server-side. ## Servers - https://payroll-api.getpenfold.dev/v4: https://payroll-api.getpenfold.dev/v4 () ## Authentication methods - O auth2 client credentials ## Parameters ### Path parameters - **employer_id** (string) - **employee_id** (string) ## Responses ### 200 Transaction history retrieved successfully. #### Body: application/json (array[object]) - **id** (string) Unique identifier for the transaction. - **amount_pence** (integer) Signed amount in pence. Positive = money in; negative = money out (e.g. transfer out, withdrawal). - **date** (string(date)) Transaction date (YYYY-MM-DD). - **type** (string) - **status** (string) - **frequency** (string) - **contribution_type** (string) - **contribution_source** (string | null) Additional source detail when needed beyond `type` (e.g. `InternalTransferIn`). ### 401 Unauthorized. #### Body: application/json (object) - **error** (string) A descriptive error message. ### 404 Employee or employer not found. #### Body: application/json (object) - **error** (string) A descriptive error message. ### 405 Method not allowed #### Body: application/json (object) - **error** (string) A descriptive error message. [Powered by Bump.sh](https://bump.sh)